Summary:	Provides authentication against an IMAP mail server
Name:		mod_auth_imap
Version:	2.2.0
Release:	1%{?dist}

License:	ASL 1.1
Group:		System Environment/Daemons
Vendor:		Ben Brillat <brillat-apachemodule@mainsheet.org>
URL:		http://ben.brillat.net/projects/mod_auth_imap/
Source0:	http://ben.brillat.net/files/projects/mod_auth_imap2/mod_auth_imap2-%{version}.tar.bz2
Source1:	mod_auth_imap.conf
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	httpd httpd-mmn = %([ -a %{_includedir}/httpd/.mmn ] && cat %{_includedir}/httpd/.mmn || echo missing)
BuildRequires:	httpd-devel

%description
mod_auth_imap is an Apache module to provide authentication
against an IMAP mail server. The httpd.conf or .htaccess file can
specify server name and port of the desired IMAP server. It is
also compatible with stunnel for IMAP over SSL.

%prep

%setup -q -n mod_auth_imap2-%{version}

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
/usr/sbin/apxs -Wc,"%{optflags}" -c mod_auth_imap.c

%install
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d/
install -Dp .libs/mod_auth_imap.so %{buildroot}%{_libdir}/httpd/modules/mod_auth_imap.so
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/mod_auth_imap.conf

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc CHANGELOG GPL.txt README examples/htaccess-example examples/httpd.conf-append-example
%{_libdir}/httpd/modules/mod_auth_imap.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/mod_auth_imap.conf


%changelog
* Sat Jan 08 2010 Denis Fateyev <denis@fateyev.com> - 2.2.0-el5.denf
-  Initial build
